﻿@model List<Order>

@{
    ViewData["Title"] = "All orders";
}

<div class="row">
    <div class="col-md-8 offset-2">
        <p>
            <h4>List of all your orders</h4>
        </p>
        <table class="table">
            <thead>
                <tr>
                    <th>Order ID</th>
                    <th>Items</th>
                    <th>Total</th>
                    @if(User.Identity.IsAuthenticated && User.IsInRole("Admin"))
                    {
                        <th>User</th>
                    }
                </tr>
            </thead>
            <tbody>
                @foreach (var order in Model)
                {
                    <tr>
                        <td class="align-content-center">@order.Id</td>
                        <td class="align-content-center">
                            <ul style="list-style-type:none">
                                @foreach (var item in order.OrderItems)
                                {
                                    <li>
                                        <div class="alert alert-info" role="alert">
                                            <span class="badge bg-success">@item.Amount</span> [@item.Price.ToString("c")] -
                                            <a asp-action="Details" asp-controller="Movies" asp-route-id="@item.Movie.Id">@item.Movie.Name</a>
                                        </div>
                                    </li>
                                }
                            </ul>
                        </td>
                        <td class="align-middle">
                            @order.OrderItems.Select(m => m.Movie.Price * m.Amount).Sum().ToString("c")
                        </td>
                        @if (User.Identity.IsAuthenticated && User.IsInRole("Admin"))
                        {
                            <td class="align-middle"> @order.User.FullName </td>
                        }  
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>